From c58455d2581c8060fee685c069e154ca749fd881 Mon Sep 17 00:00:00 2001
From: Monty Taylor <mordred@inaugust.com>
Date: Sun, 29 Jul 2012 10:45:49 -0500
Subject: [PATCH] Upgrade puppet for module command.

unattended upgrades is not upgrading puppet on the slaves
in our cron jobs because we've changed puppet.conf. This brings up a
question. But, if we don't have the puppet module command, things
go poorly here - so check to see if we have it, and if not,
do an install forcing old conf values.

Change-Id: Ia84f49e165e20eba3484410a4c3c19ca62e75460
---
 install_modules.sh | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/install_modules.sh b/install_modules.sh
index 2e93bd3ee4..c265cd2c8e 100644
--- a/install_modules.sh
+++ b/install_modules.sh
@@ -1,5 +1,9 @@
 #!/bin/bash
 
+if ! puppet help module >/dev/null 2>&1 ; then
+    apt-get install -y -o Dpkg::Options::="--force-confold" puppet facter
+fi
+
 MODULES="puppetlabs-mysql puppetlabs-dashboard"
 MODULE_LIST=`puppet module list`